/*

	TOTD.REXX

	Tip of the Day

Produce a random piece of advice everytime
you boot your Amiga...

*/


/* 1. Make sure RexxArpLibrary functions are available... */

addlib('rexxarplib.library',0,-30,0)


/* 2. Test to see if a Tip is allowed.

If there is a file in ENV: called TOTD, this means
the Tips are NOT to be used. If there is no file, the 
Tips are to be displayed. */


if open('testfile','env:TOTD','r') then
	/* File exists, so exit */
	do
		close('testfile')
		exit
	end
	/* File doesn't exist, so carry on */


/* 3. Define all the tips */

tip.1 = "Don't eat fried food!"
tip.2 = "Get plenty of exercise!"
tip.3 = "Don't smoke!"
tip.4 = "Limit alcohol intake!"
tip.5 = "Take a 10 minute break every hour\you spend using your Amiga."
tip.6 = "Use Right-Amiga and the full-stop\to tidy up icons on the Workbench."
tip.7 = "Use Right-Amiga and A to select all\
the icons displayed min the current window."
tip.8 = "If you want to restart these tips\delete the file
called 'TPTD'\in the ENVARC: directory."

/* 4. Pick a tip at random! */

t=random(1,8,time('s'))
tip=tip.t
string="\Tip of the day:\\" || tip || "\"

/* 5. Display the tip */

if request(50,50,string,,"OK","No more tips") ~= "OKAY" 
	then 

/* 6. If no more tips are required, create the file */

if open('testfile','envarc:TOTD','w') then
		close('testfile')
	else
		say "error creating file!"

/* The end */